org.apache.felix.scrplugin.helper

## Class ComponentContainerUtil

- java.lang.Object
- - org.apache.felix.scrplugin.helper.ComponentContainerUtil

    public abstract class ComponentContainerUtil
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ComponentContainerUtil.ComponentContainerContainer`

### Constructor Summary

Constructors
Constructor and Description
`ComponentContainerUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<ComponentContainerUtil.ComponentContainerContainer>` `split(List<ComponentContainer> components)` Split the list of components into separate lists depending on the configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentContainerUtil

    public ComponentContainerUtil()

### Method Detail

#### split

    public static List<ComponentContainerUtil.ComponentContainerContainer> split(List<ComponentContainer> components)

Split the list of components into separate lists depending on the configuration.